## com.lowagie.bc.asn1
Class DERObject

    java.lang.Object
      com.lowagie.bc.asn1.DERObject

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  ASN1Null, ASN1OctetString, ASN1Sequence, ASN1Set, ASN1TaggedObject, DERApplicationSpecific, DERBitString, DERBMPString, DERBoolean, DEREnumerated, DERGeneralizedTime, DERGeneralString, DERIA5String, DERInteger, DERNumericString, DERObjectIdentifier, DERPrintableString, DERT61String, DERUniversalString, DERUnknownTag, DERUTCTime, DERUTF8String, DERVisibleString

    public abstract class DERObject

extends java.lang.Object
implements DERTags, DEREncodable

Field Summary

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERObject()`

Method Summary
`(package private) abstract void` `encode(DEROutputStream out)`
`DERObject` `getDERObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERObject

    public DERObject()

Method Detail

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

### encode

    abstract void encode(DEROutputStream out)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`